%global major 0
%define libname %mklibname obexftp %major
%define devname %mklibname -d obexftp
Name: obexftp
Summary: Tool to access devices via the OBEX protocol
Group: Communications/Bluetooth
Version: 0.24
Release: %mkrel 14
License: GPLv2+
URL: https://gitorious.org/obexftp
Source: http://download.sourceforge.net/openobex/%{name}-%{version}-Source.tar.gz
Patch0: %{name}-norpath.patch
# From upstream git, fixes fuse apps not being installed
Patch1: %{name}-0.24-fuse.patch
# From OpenSUSE, thanks: fix pkgconfig to require bluez not bluetooth
Patch2: %{name}-pkgconfig_requires.patch
# From OpenSUSE, thanks: fix python install path
Patch3: %{name}-0.24-fix-absurd-install-path.patch
# (tv) fix linking:
Patch4: obexftp-fix-linking.diff
BuildRequires: bluez-devel
BuildRequires: openobex-devel
BuildRequires: gettext-devel
BuildRequires: libtool
BuildRequires: openobex-devel >= 1.7
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
BuildRequires: python-devel
BuildRequires: ruby
BuildRequires: ruby-devel
BuildRequires: tcl-devel
BuildRequires: cmake
BuildRequires: swig
BuildRequires: fuse-devel
BuildRequires: asciidoc
BuildRequires: xmlto

%description
The overall goal of this project is to make mobile devices featuring the OBEX
protocol and adhering to the OBEX FTP standard accessible by an open source
implementation. The common usage for ObexFTP is to access your mobile phones
memory to store and retrieve e.g. your phonebook, logos, ringtones, music,
pictures and alike.

%package -n python-%{name}
Summary: Python library to access devices via the OBEX protocol
Group: Development/C
Requires: %{name} = %{version}-%{release}

%description -n python-%{name}
The overall goal of this project is to make mobile devices featuring the OBEX
protocol and adhering to the OBEX FTP standard accessible by an open source
implementation. The common usage for ObexFTP is to access your mobile phones
memory to store and retrieve e.g. your phonebook, logos, ringtones, music,
pictures and alike.

%package -n perl-%{name}
Summary: Perl library to access devices via the OBEX protocol
Group: Development/C
Requires: %{name} = %{version}-%{release}

%description -n perl-%{name}
The overall goal of this project is to make mobile devices featuring the OBEX
protocol and adhering to the OBEX FTP standard accessible by an open source
implementation. The common usage for ObexFTP is to access your mobile phones
memory to store and retrieve e.g. your phonebook, logos, ringtones, music,
pictures and alike.

%package -n ruby-%{name}
Summary: Ruby library to access devices via the OBEX protocol
Group: Development/C
Requires: ruby(release)
Requires: %{name} = %{version}-%{release}

%description -n ruby-%{name}
The overall goal of this project is to make mobile devices featuring the OBEX
protocol and adhering to the OBEX FTP standard accessible by an open source
implementation. The common usage for ObexFTP is to access your mobile phones
memory to store and retrieve e.g. your phonebook, logos, ringtones, music,
pictures and alike.

%package -n %libname
Summary: Shared libraries for %{name}
Group: System/Libraries
Obsoletes: %{name} < 0.23-0.1

%description -n %libname
The overall goal of this project is to make mobile devices featuring the OBEX
protocol and adhering to the OBEX FTP standard accessible by an open source
implementation. The common usage for ObexFTP is to access your mobile phones
memory to store and retrieve e.g. your phonebook, logos, ringtones, music,
pictures and alike.

%package -n %devname
Summary: Header files and libraries for %{name}
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Requires: openobex-devel >= 1.2
Requires: pkgconfig

%description -n %devname
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%prep
%setup -q -n %{name}-%{version}-Source
%autopatch -p1

%build
%cmake
# 'all' doesn't include doc, it seems - thanks, SUSE.
%make all doc

%install
%makeinstall_std RUBYARCHDIR=%{buildroot}%{ruby_vendorarchdir} -C build


%files
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%{_mandir}/man1/obexftp.1*
%{_mandir}/man1/obexftpd.1*
%{_bindir}/obexftp
%{_bindir}/obexftpd
%{_bindir}/obexautofs
%{_bindir}/obexfs

%files -n %libname
%{_libdir}/*.so.*

%files -n %devname
%{_includedir}/bfb/
%{_includedir}/multicobex/
%{_includedir}/obexftp/
%{_libdir}/*.so
%{_libdir}/pkgconfig/obexftp.pc

%files -n python-%{name}
%{python_sitearch}/_obexftp.so*
%{python_sitearch}/obexftp.py*

%files -n perl-%{name}
%{perl_vendorarch}/OBEXFTP.pm
%dir %{perl_vendorarch}/*/OBEXFTP
%{perl_vendorarch}/*/OBEXFTP/OBEXFTP.so

%files -n ruby-%{name}
%{ruby_vendorarchdir}/obexftp.so



%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.24-14.mga6
+ Revision: 1022166
- Rebuild for perl 5.22.2

* Tue Feb 16 2016 umeabot <umeabot> 0.24-13.mga6
+ Revision: 961781
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 tv <tv> 0.24-12.mga6
+ Revision: 846750
- rebuild with soname-ified perl

* Wed Jun 24 2015 sander85 <sander85> 0.24-11.mga6
+ Revision: 842498
- Rebuild for perl 5.22

* Wed Jun 24 2015 tv <tv> 0.24-10.mga6
+ Revision: 841850
- rebuild for perl-5.22

* Thu Feb 19 2015 luigiwalser <luigiwalser> 0.24-9.mga5
+ Revision: 815777
- rebuild against fixed openobex pkgconfig file

* Wed Oct 15 2014 umeabot <umeabot> 0.24-8.mga5
+ Revision: 744470
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.24-7.mga5
+ Revision: 732819
- remove one bogus requires

* Sat Sep 27 2014 tv <tv> 0.24-6.mga5
+ Revision: 727481
- rebuild for missing pythoneggs deps

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.24-4.mga5
+ Revision: 632359
- perl 5.20.0 rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.24-3.mga5
+ Revision: 632305
- Rebuild for perl 5.20
- Rebuild for new Python

* Sat May 17 2014 tv <tv> 0.24-1.mga5
+ Revision: 623153
- BR perl-devel
- bump BRed openobex-devel
- imported package obexftp


* Fri May 16 2014 Thierry Vignaud <tv@mageia.org> 0.24-1.mga5
- import from FC
